<script>
	import {mapMutations} from 'vuex'
	
	export default {
		onLaunch: function() {
			console.log('App Launch')
			uni.getSystemInfo({ // 获取当前设备的具体信息
				success: (sysinfo) => {
					console.log('sysinfo',sysinfo);
					this.sysinfo = sysinfo;
					this.$uStore({name:'sysinfo',value:sysinfo});
				}
			});
		},
		onShow: function() {
			// console.log('App Show')
		},
		onHide: function() {
			// console.log('App Hide')
		},
		data() {
			return {
				sysinfo: {}
			}
		},
		methods:{
			...mapMutations(['$uStore'])
		}
	}
</script>

<style lang="scss">
	@import "uview-ui/index.scss";
	/*每个页面公共css */
	/* #ifndef APP-NVUE */
	uni-page-body {
		height: 100%;
	}

	page {
		font-weight: 400;
		font-size: 24rpx;
		color: #333;
	}

	uni-view {
		box-sizing: border-box;
	}

	/deep/.uni-scroll-view ::-webkit-scrollbar {
		display: none;
		width: 0;
		height: 0;
		color: transparent;
		background: transparent;
	}

	/deep/::-webkit-scrollbar {
		display: none;
		width: 0;
		height: 0;
		color: transparent;
		background: transparent;
	}

	image {
		display: inline-block;
	}

	view,
	text {
		box-sizing: border-box;
	}

	/* #endif */
</style>
